# WikiChecker

## Buscador rápido de artículos en Wikipedia.

### Introducción.

El complemento WikiChecker para NVDA permite a los usuarios consultar de forma rápida y accesible cualquier artículo referente a un término en concreto en la [Wikipedia](https://wikipedia.org/).

Wikipedia   Es un proyecto de creación  de una enciclopedia libre en la red, donde cada uno puede aportar sus conocimientos sobre cualquier tema para crear una base de datos con toda la sabiduría humana. Es administrada por la Fundación Wikimedia, una organización sin ánimo de lucro cuya financiación está basada en donaciones. Sus más de 56 millones de artículos en 321 idiomas han sido redactados en conjunto por voluntarios de todo el mundo, lo que suma más de 2000 millones de ediciones, y permite que cualquier persona pueda sumarse al proyecto para editarlos, a menos que la página se encuentre protegida contra vandalismos para evitar problemas o disputas.


### Modo de uso.

La forma de utilización de WikiChecker es muy simple. Basta con seguir los siguientes tres pasos:

1. Pulsar el atajo de teclas rápidas asignado, que previamente habrá tenido que configurarse en el cuadro de diálogo de Gestos de entrada, dentro de la categoría WikiChecker.

2. Introducir el término deseado a buscar en el cuadro de edición dispuesto al efecto y ejecutar la consulta en Wikipedia pulsando INTRO.

3. Seleccionar el resultado que nos interese, y pulsar INTRO encima de él.

Una vez realizados estos tres pasos, el artículo se abrirá en la ventana del navegador que tengamos por defecto asignado.

Aviso: El complemento por defecto establece el idioma predefinido en NVDA como idioma de consulta en WikiChecker. En caso de querer buscar el artículo en otro idioma, bastará con seleccionarlo de la lista de idiomas disponibles. En caso de no encontrarse el idioma por defecto en NVDA entre los idiomas disponibles, al ejecutar el complemento se nos posicionará encima de la lista para escoger uno. Si no realizamos este paso, las búsquedas no se realizarán.


### Atajos.

No existen atajos de teclas rápidas preasignados, de forma que cada usuario pueda configurar el que mejor le venga en cada caso, a fin de no interferir con otros complementos. Para asignarlo, el usuario deberá dirigirse al menú NVDA, Preferencias, Gestos de entrada, y una vez en él, buscar la categoría denominada WikiChecker, y asignar la combinación que más le interese.

Una vez dentro de la interfaz del complemento, sí existen tres combinaciones de teclas preasignadas, de forma que podamos movernos con rapidez entre los distintos elementos de la misma:

* Alt + B: Nos posiciona encima del cuadro de edición para escribir el término a buscar.
* Alt + I: Nos posiciona encima de la lista de idiomas disponibles, para que podamos escoger un idioma diferente al predeterminado por defecto, o bien, en caso de no existir el idioma predeterminado en NVDA, para que escojamos uno en el cual realizar la búsqueda.
* Alt + A: Nos posiciona encima de la lista de artículos disponibles, a fin de que escojamos uno de los resultados arrojados por la consulta en Wikipedia.


## Registro de cambios.

### Version 1.1.

* Añadida la posibilidad de que WikiChecker funcione en ordenadores que trabajen bajo servidores proxi.
* Añadida una comprobación adicional que impida lanzar consultas a Wikipedia si no se ha escogido un idioma de entre los disponibles previamente.
* Añadidas comprobaciones adicionales en la carga de los idiomas disponibles a fin de evitar un mal funcionamiento del complemento.
* Corrección de errores y optimización del código desde la versión anterior.


### Versión 1.0.

* Versión inicial.
